Package com.xebialabs.deployit.plugin.api.udm

## Class CiAttributes

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.CiAttributes

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CiAttributes
      extends java.lang.Object
      implements java.io.Serializable

  A container for metadata about CI's
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiAttributes​(java.lang.String createdBy, org.joda.time.DateTime createdAt, java.lang.String lastModifiedBy, org.joda.time.DateTime lastModifiedAt, java.lang.Integer scmTraceabilityDataId)` | Constructs a CiAttributes object with the given parameters

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.joda.time.DateTime` | `getCreatedAt()` | The original creation date of this CI
    `java.lang.String` | `getCreatedBy()` | Get the name of the user that originally created this CI
    `org.joda.time.DateTime` | `getLastModifiedAt()` | Get the last modification date for this CI
    `java.lang.String` | `getLastModifiedBy()` | Get the name of the user that last modified something about this CI
    `java.lang.Integer` | `getScmTraceabilityDataId()` | Get the id of scm traceability data
    `void` | `setScmTraceabilityDataId​(java.lang.Integer scmTraceabilityDataId)` | Set the id of scm traceability data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CiAttributes

          public CiAttributes​(java.lang.String createdBy,
                              org.joda.time.DateTime createdAt,
                              java.lang.String lastModifiedBy,
                              org.joda.time.DateTime lastModifiedAt,
                              java.lang.Integer scmTraceabilityDataId)

      Constructs a CiAttributes object with the given parameters
      Parameters:
        `createdBy` - - the original creator of the CI
        `createdAt` - - the creation date of the CI
        `lastModifiedBy` - - the user that last modified the CI
        `lastModifiedAt` - - the last modification date for the CI
        `scmTraceabilityDataId` - - id of scm traceability data

  - ### Method Detail

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Get the name of the user that originally created this CI
      Returns:
        a String

    - #### getCreatedAt

          public org.joda.time.DateTime getCreatedAt()

      The original creation date of this CI
      Returns:
        a Calendar

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Get the name of the user that last modified something about this CI
      Returns:
        a String

    - #### getLastModifiedAt

          public org.joda.time.DateTime getLastModifiedAt()

      Get the last modification date for this CI
      Returns:
        a Calendar

    - #### getScmTraceabilityDataId

          public java.lang.Integer getScmTraceabilityDataId()

      Get the id of scm traceability data
      Returns:
        an Integer

    - #### setScmTraceabilityDataId

          public void setScmTraceabilityDataId​(java.lang.Integer scmTraceabilityDataId)

      Set the id of scm traceability data
      Parameters:
        `scmTraceabilityDataId` - new data id